// joi/1/bank/BankAccount.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

/**
 * A BankAccount object has a private field to keep track 
 * of this account's current balance, and public methods to 
 * return and change the balance.
 *
 * @see Bank
 * @version 1
 */

public class BankAccount
{
    private int balance;  // work only in whole dollars
    
    /**
     * A constructor for creating a new bank account.
     *
     * @param initialBalance the opening balance.
     */

    public BankAccount( int initialBalance )
    {
	this.deposit( initialBalance );
    }

    /**
     * Withdraw the amount requested.
     *
     * @param amount the amount to be withdrawn.
     */

    public void withdraw( int amount )
    {
	balance = balance - amount;
    }
    
    /**
     * Deposit the amount requested.
     *
     * @param amount the amount to be deposited.
     */

    public void deposit( int amount )
    {
	balance = balance + amount;
    }

    /**
     * The current account balance.
     *
     * @return the current balance.
     */

    public int getBalance()
    {
	return balance;
    }
}
