// joi/10/joi/ButtonListener.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

import java.awt.event.*;

/**
 * A simple listener for responding to button presses.
 * It knows the Panel on which the button lives, and 
 * responds to button events by sending a changeMessage() 
 * to that Panel. 
 *
 * @version 10.2
 */

public class ButtonListener implements ActionListener
{
    private JOIPanel panel;  // the Panel containing the Button

    /**
     * Construct the ButtonListener.
     *
     * @param panel the Panel on which this Button will act.
     */

    public ButtonListener( JOIPanel panel )
    {
	this.panel = panel;
    }

    /**
     * Defines the ActionListener behavior that must be implemented.
     *
     * When a user pushes the Button that we're listening to, 
     * send a changeMessage() message to the Panel.
     *
     * @param e the "event" when the button is pressed.
     */

    public void actionPerformed( ActionEvent e )
    {
	panel.changeMessage();
    }
}
