// joi/3/shapes/InteractiveShapes.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

/**
 * Interactive program to study shapes.
 *
 * @version3
 */

public class InteractiveShapes
{
    public static void main( String[] args )
    {
        Terminal t = new Terminal();
        Screen s = new Screen(
                              t.readInt("screen width:  "),      
                              t.readInt("screen height: "));      
        char c = 'a';
        int x,y;
        while ( t.readYesOrNo("more")) {
            char shape = t.readChar("h(line), b(ox), c(lear): ");
            switch (shape) {
            case 'h':
                int length = t.readInt("HLine length: ");
                x          = t.readInt("x coordinate: ");
                y          = t.readInt("y coordinate: ");
                (new HLine(length, c++)).paintOn(s,x,y);
                break;
            case 'b':
                int w = t.readInt("Box width: ");
                int h = t.readInt("Box width: ");
                x     = t.readInt("x coordinate: ");
                y     = t.readInt("y coordinate: ");
                (new Box(w,h,c++)).paintOn(s,x,y);
                break;
            case 'c':
                s.clear();
                break;
            default:
                t.println("try again");
                continue;
            }
            s.draw(t);
        }
    }
}
