// joi/3/shapes/TestShapes.java
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

/**
 * A program to test shapes.
 *
 * @version 3
 */

class TestShapes
{
    /**
     * Paint shapes on a Screen and draw it to a Terminal.
     */

    public static void main( String[] argv )
    {
        Terminal t = new Terminal();
        Screen s;
        
        t.println( "An empty 10 x 3 Screen:" );
        s = new Screen( 10, 3 );
        s.draw( t );

        t.println( "A 20 x 10 Screen with 3 HLines:" ); 
        s = new Screen( 20, 10 );
        HLine h1 = new HLine( 10, 'R' );
        HLine h2 = new HLine( 15, 'G' );

        h1.paintOn( s, 0, 0 );
        h2.paintOn( s, 0, 1 );
        (new HLine( 15, 'B' )).paintOn( s, 0, 2 ); // tricky to read
        s.draw( t );

        t.println( "Clear that screen,");
        s.clear();

        t.println( "draw 3 Boxes (2 overlapping):" );
        Box   b = new Box( 6, 5, 'R' );
        b.paintOn( s, 1, 1 );
        b = new Box( 7, 4, 'G'); // create a new (different) Box b 
        b.paintOn( s, 2, 3 );    // paint Box b on s
        b.paintOn( s, 17, 5 );   // paint Box b partly off the Screen
        s.draw( t );
    }
}
