// joi/4/estore/Item..java  
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

/**
 * An Item models an object that might be stocked in a store.
 * Each Item has a cost.
 *
 * @version 4
 */

public class Item
{
    private int cost;
    private String name;

    /**
     *  Construct an Item object.
     *
     *  @param name the nme of this Item.
     *  @param cost the cost of this Item.
     */

    public Item( String name, int cost ) 
    {
	this.name = name;
	this.cost = cost;
    }

    /** 
     * How much does this Item cost?
     * 
     * @return the cost.
     */

    public int getCost() 
    {
	return cost;
    }

    /** 
     * What is this Item called?
     * 
     * @return the name.
     */

    public String getName() 
    {
	return name;
    }
}
