// joi/6/juno/MkdirCommand.java 
//
//
// Copyright 2003, Ethan Bolker and Bill Campbell 

import java.util.*;

/**
 * The Juno shell command to create a new directory.
 * Usage:
 * <pre>
 *     mkdir directory-name
 * </pre>
 *
 * @version 6
 */

public class MkdirCommand extends ShellCommand 
{
    /**
     * Construct a MkdirCommand object.
     */

    public MkdirCommand() 
    {
        super( "create a subdirectory of the current directory",
               "directory-name" );
    }

    /**
     * Create a new Directory in the current Directory.    
     *
     * @param args the remainder of the command line.
     * @param sh the current shell
     */

    public void doIt( StringTokenizer args, Shell sh )
    {
        String filename = args.nextToken();
        new Directory( filename, sh.getUser(), sh.getDot() );
    }
}
