// joi/7/juno/RemoveCommand.java
//
//
// Copyright 2003, Bill Campbell and Ethan Bolker

import java.util.*;

/**
 * The Juno shell command to remove a text file.
 * Usage:
 * <pre>
 *     remove textfile
 * </pre>
 *
 * @version 7
 */

public class RemoveCommand extends ShellCommand 
{
    RemoveCommand() 
    {
	super( "remove a TextFile", "textfile" );
    }

    /**
     * Remove a TextFile.
     *
     * @param args the remainder of the command line.
     * @param sh   the current Shell
     *
     * @exception JunoException for reporting errors
     */

    public void doIt( StringTokenizer args, Shell sh )
	 throws JunoException 
    {
	String filename = args.nextToken();
	sh.getDot().removeJFile(filename);
    }
}
