// Example 4.2 joi/examples/ArrayDemo.java  
//
//
// Copyright 2003 Bill Campbell and Ethan Bolker

// A class illustrating arrays 
// 
// Build an array of Fibonacci numbers 1, 1, 2, 3, 5, 8, ...
// and play with it. Sample output:
//
// %> java ArrayDemo 8
// Sum first 8 Fibonacci numbers
// 1 1 2 3 5 8 13 21 
// total: 54
//    
// First 8 Fibonacci numbers (reverse order)
// 21 13 8 5 3 2 1 1 
// Every other fib
// 1    1
// 3    2
// 5    5
// 7    13

public class ArrayDemo 
{
    public static void main( String[] args ) 
    {
        int n = 6; // default 
        if (args.length > 0) {
            n = Integer.parseInt(args[0]);
        }

        int[] fibs = new int[n]; // declare and create array

        fibs[0] = fibs[1] = 1;   // fill first two positions
        for ( int i = 2; i < n; i++ ) { // fill the rest
            fibs[i] = fibs[i-1] + fibs[i-2];
        }
        
        // standard idiom for accumulating total of an array
        int total = 0;
        System.out.println("Sum first " + n + " Fibonacci numbers");
        for ( int i = 0; i < n; i++ ) { 
            System.out.print(fibs[i] + " ");
            total += fibs[i];
        }
        System.out.println("\ntotal: " + total);
        System.out.println();

        System.out.
            println("First " + n + " Fibonacci numbers (reverse order)");
        for ( int i = n-1; i >= 0 ; i-- ) {     
            System.out.print(fibs[i] + " ");
        }
        System.out.println();

        System.out.println("Every other fib");
        for ( int i = 0; i < n ; i += 2 ) {     
            System.out.println((i+1) + "\t" + fibs[i]);
        }
        System.out.println();
    }
}
