// Example 7.1 joi/examples/RumpelStiltskinDemo.java
//
// 
// Copyright 2003 Bill Campbell and Ethan Bolker

// Practice with simple exceptions - some from the API, one declared here.

public class RumpelStiltskinDemo 
{
    public static void main( String[] args ) 
    {
        Wizard rumpelstiltskin = new Wizard("RumpelStiltskin");
        Wizard aNullWizard     = null;

        // see if the first command line argument ( args[0] )
        // is the right name
        try {
            System.out.println("Is your name " + args[0] +'?');     
            rumpelstiltskin.guessName(args[0]); 
            System.out.println("Yes! How did you guess?");
            System.exit(0);
        }
        // come here right away if there is no args[0]
        catch (IndexOutOfBoundsException e) {
            System.out.println( "usage: java RumpelStiltskinDemo guess");
            System.exit(0); // leave the program gracefully
        }
        // come here from guessName if exception thrown
        catch (BadGuessException e) {
            System.err.println("sorry - " + args[0] + " is not my name");
        }

        System.out.println(
           "\nIntentionally generate a NullPointerException,\n" +
           "see what the Exception's toString method returns");
        try {
            aNullWizard.guessName("who am I?");
        }
        catch (Exception e) {
            System.out.println(e);
        }
        
        System.out.println(
           "\nExperiment with the printStackTrace() method:");
        try {
            rumpelstiltskin.makeMischief();
        }
        catch (Exception e) {
            e.printStackTrace();
        }

        // perhaps throw an uncaught IndexOutOfBoundsException
        System.out.println(
            "\nLook for a second command line argument,\n" +
            "see what happens if it's not there:" );
        System.out.println(args[1]);
    }

    // two inner classes, used only in this file
    private static class Wizard 
    {
        private String name;

        public Wizard( String name ) 
        {
            this.name = name;
        }

        public void guessName( String name ) 
            throws BadGuessException 
        {
            if (!name.equals(this.name))
                throw new BadGuessException( );
        }

        public void makeMischief() 
            throws BadGuessException
        {
            this.guessName("??");
        }
    }

    private static class BadGuessException extends Exception  
    { 
        // empty body
    }
}
