     1	// joi/1/estore/Item.java  
     2	//
     3	//
     4	// Copyright 2003 Bill Campbell and Ethan Bolker
     5	
     6	/**
     7	 * An Item models an object that might be stocked in a store.
     8	 * Each Item has a cost.
     9	 *
    10	 * @version 1
    11	 */
    12	
    13	public class Item
    14	{
    15	    private int cost;
    16	
    17	    /**
    18	     *  Construct an Item object.
    19	     *
    20	     *  @param itemCost the cost of this Item.
    21	     */
    22	
    23	    public Item( int itemCost ) 
    24	    {
    25		cost = itemCost;
    26	    }
    27	
    28	    /** 
    29	     * How much does this Item cost?
    30	     * 
    31	     * @return the cost.
    32	     */
    33	
    34	    public int getCost() 
    35	    {
    36		return cost;
    37	    }
    38	}
