     1	// joi/10/juno/LogoutCommand.java
     2	//
     3	//
     4	// Copyright 2003, Bill Campbell and Ethan Bolker
     5	
     6	import java.util.*;
     7	
     8	/**
     9	 * The Juno shell command to log out.
    10	 * Usage:
    11	 * <pre>
    12	 *     logout
    13	 * </pre>
    14	 *
    15	 * @version 10
    16	 */
    17	
    18	public class LogoutCommand extends ShellCommand 
    19	{
    20	    LogoutCommand() 
    21	    {
    22	        super( "log out, return to login: prompt" );
    23	    }
    24	
    25	    /**
    26	     * Log out from the current shell.
    27	     *
    28	     * @param args the remainder of the command line.
    29	     * @param sh   the current shell
    30	     *
    31	     * @exception JunoException for reporting errors
    32	     */
    33	
    34	    public void doIt( StringTokenizer args, Shell sh )
    35	         throws JunoException 
    36	    {
    37	        throw new ExitShellException();
    38	    }
    39	}
