     1	// joi/10/juno/JFileNotFoundException.java (version 10)
     2	//
     3	//
     4	// Copyright 1997-2001 Ethan Bolker and Bill Campbell
     5	
     6	/**
     7	 * The Exception thrown when a JFile isn't found
     8	 *
     9	 * @version 10 
    10	 */
    11	
    12	class JFileNotFoundException extends JunoException 
    13	{
    14	    String jfilename;
    15	
    16	    /**
    17	     * Construct a new JFileNotFoundException 
    18	     *
    19	     * @param jfilename the file sought
    20	     */
    21	
    22	    public JFileNotFoundException( String jfilename )
    23	    {
    24	        super( "JFile " + jfilename + " not found." );
    25	        this.jfilename = jfilename;
    26	    }
    27	
    28	    /**
    29	     * Get the name of the file that wasn't there.
    30	     *
    31	     * @return the file name
    32	     */
    33	
    34	    public String getJFilename() 
    35	    {
    36	        return jfilename;
    37	    }
    38	}
