     1	// joi/5/bank/RegularAccount.java

     2	//

     3	//

     4	// Copyright 2003 Bill Campbell and Ethan Bolker

     5	

     6	/**

     7	 * A RegularAccount is a BankAccount that has no special behavior.

     8	 * 

     9	 * It does what a BankAccount does.

    10	 */

    11	

    12	public class RegularAccount extends BankAccount 

    13	{

    14	

    15	    /**

    16	     * Construct a BankAccount with the given initial balance and

    17	     * issuing Bank. Construction counts as this BankAccount's

    18	     * first transaction.

    19	     *

    20	     * @param initialBalance the opening balance.

    21	     * @param issuingBank the bank that issued this account.

    22	     *

    23	     * @exception InsufficientFundsException when appropriate.

    24	     */

    25	

    26	    public RegularAccount( int initialBalance, Bank issuingBank ) 

    27	        throws InsufficientFundsException

    28	    {

    29	        super( initialBalance, issuingBank );

    30	    }

    31	

    32	    /**

    33	     * Action to take when a new month starts.

    34	     *

    35	     * A RegularAccount does nothing when the next month starts.

    36	     */

    37	

    38	    public void newMonth() {

    39	        // do nothing

    40	    }

    41	

    42	}

